Bug 440586 - When exporting a report, the file name (suggested) takes the report name
Summary: When exporting a report, the file name (suggested) takes the report name
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: reports (show other bugs)
Version: 5.1.2
Platform: Microsoft Windows Microsoft Windows
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-04 12:11 UTC by Adilson Urso
Modified: 2021-08-07 17:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adilson Urso 2021-08-04 12:11:22 UTC
SUMMARY


STEPS TO REPRODUCE
1.Reports 
2.Open a report 
3.Choose Export 
4.File Name: is empty / I suggest automatic fill with the report name 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Thomas Baumgart 2021-08-07 08:35:52 UTC
Git commit a7dcec7e08afe348dcc73facd02cc792ebf2cac7 by Thomas Baumgart.
Committed on 07/08/2021 at 08:35.
Pushed by tbaumgart into branch '5.1'.

Use report's name as filename for export
FIXED-IN: 5.1.3

M  +3    -0    kmymoney/plugins/views/reports/kreportsview.cpp

https://invent.kde.org/office/kmymoney/commit/a7dcec7e08afe348dcc73facd02cc792ebf2cac7
Comment 2 Thomas Baumgart 2021-08-07 17:42:06 UTC
Git commit f5cf7cc59764af2bae3f4c8748ce0ed46111f7be by Thomas Baumgart.
Committed on 07/08/2021 at 17:41.
Pushed by tbaumgart into branch 'master'.

Use report's name as filename for export

(cherry picked from commit a7dcec7e08afe348dcc73facd02cc792ebf2cac7)

M  +3    -0    kmymoney/plugins/views/reports/kreportsview.cpp

https://invent.kde.org/office/kmymoney/commit/f5cf7cc59764af2bae3f4c8748ce0ed46111f7be